<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AddFolder Method (IEdmClearLocalCache)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmClearLocalCache Interface : AddFolder Method (IEdmClearLocalCache)

Visual Basic
C#
C++/CLI

oFolderIDorPath
  ID or path of the folder to clear from the cache

bRecursive
  True to clear subfolders, false to not

Adds the specified folder to the batch of files and folders to clear from the local cache.

# Syntax

Visual Basic |
--- | ---

    Sub AddFolder( _
       ByVal oFolderIDorPath As System.Object, _
       Optional ByVal bRecursive As System.Boolean _
    )

C# |
--- | ---

    void AddFolder(
       System.object oFolderIDorPath,
       System.bool bRecursive
    )

C++/CLI |
--- | ---

    void AddFolder(
    &   System.Object^ oFolderIDorPath,
    &   System.bool bRecursive
    )

#### Parameters

oFolderIDorPath
  ID or path of the folder to clear from the cache
bRecursive
  True to clear subfolders, false to not

# Remarks

After calling this method, you must call IEdmClearLocalCache::CommitClear to actually clear the folder from the cache.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmClearLocalCache Interface
IEdmClearLocalCache Members

# Availability

SOLIDWORKS PDM Professional 2008